#!/bin/rpm
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Summary: LIME Instrumentation
Name: lime-providers
Version: 1.3.5
Release: 1
Group: Systems Management/Base
License: GPL

Source0: %{name}-%{version}.tar.gz

BuildRequires: openwbem
BuildRequires: openwbem-devel
#for hwinfo
BuildRequires: hal-devel, dbus-devel 
Requires: openwbem expat

%Description
Linux Instrumentation and Linux Management Environment(LIME) Providers

%prep

%setup -q

%build

%configure 

make %{?_smp_mflags}

%clean

[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%install

[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

# remove unused libtool files
rm -f $RPM_BUILD_ROOT/%{_libdir}/*a
rm -f $RPM_BUILD_ROOT/%{_libdir}/openwbem/c++providers/*a
rm -f $RPM_BUILD_ROOT/%{_libdir}/openwbem/cmpiproviders/*a

%pre
%define SCHEMA %{_datadir}/%{name}/Schema.mof
%define LOGVIEW_SCRIPT_DIR %{_datadir}/%{name}

# If upgrading, deregister old version
if [ $1 -gt 1 -a -d %{_localstatedir}/lib/openwbem ]
then
	# TODO:write a script to check
	stopsrv=0
	if (ps -C owcimomd > /dev/null 2>&1)
	then
		/etc/init.d/owcimomd stop > /dev/null 2>&1
		stopsrv=1
	fi
	owmofc -d %{_localstatedir}/lib/openwbem    -r %{SCHEMA} > /dev/null
	if [ $stopsrv -eq 1 ]
	then
		/etc/init.d/owcimomd start > /dev/null 2>&1
	fi
fi

%post
# Register Schema and Provider - this is highly provider specific

if [ -d %{_localstatedir}/lib/openwbem ]
then
	stopsrv=0
	if (ps -C owcimomd > /dev/null 2>&1)
	then
		/etc/init.d/owcimomd stop > /dev/null 2>&1
		stopsrv=1
	fi
	owmofc -d %{_localstatedir}/lib/openwbem    %{SCHEMA} > /dev/null
	if [ $stopsrv -eq 1 ]
	then
		/etc/init.d/owcimomd start > /dev/null 2>&1
	fi

	#lime-logview create the log type
	sh %{LOGVIEW_SCRIPT_DIR}/rflogview_create_conf
fi
/sbin/ldconfig

%preun
# Deregister only if not upgrading 
if [ $1 -eq 0 -a -d %{_localstatedir}/lib/openwbem ]
then
	stopsrv=0
	if (ps -C owcimomd > /dev/null 2>&1)
	then
		/etc/init.d/owcimomd stop > /dev/null 2>&1
		stopsrv=1
	fi
	owmofc -d %{_localstatedir}/lib/openwbem    -r %{SCHEMA} > /dev/null
	if [ $stopsrv -eq 1 ]
	then
		/etc/init.d/owcimomd start  > /dev/null 2>&1
	fi
   
	#lime-logview delete the log type
        sh %{LOGVIEW_SCRIPT_DIR}/rflogview_delete_conf
fi


%postun -p  /sbin/ldconfig

%files

%defattr(-,root,root) 
%{_datadir}/%{name}/*
%{_libdir}/*.so*
%{_libdir}/openwbem/c++providers/*.so*
%{_libdir}/openwbem/cmpiproviders/*.so*
%config /etc/lime/*

%changelog
* Wed Aug 15 2007 Diancheng Wang <dcwang@redflag-linux.com> 1.3.5-1
- update to new version 1.3.5, see also package ChangeLog file for details.

* Wed Jul 25 2007 Diancheng Wang <dcwang@redflag-linux.com> 1.3.4-1
- update to new version 1.3.4, see also package ChangeLog file for details.

* Tue Jul 17 2007 Diancheng Wang <dcwang@redflag-linux.com> 1.3.3-1
- update to new version 1.3.3, see also package ChangeLog file for details.

* Tue Jul 3 2007 Diancheng Wang <dcwang@redflag-linux.com> 1.3.2-1
- update to new version 1.3.2, see also package ChangeLog file for details.

* Mon Jun 18 2007 Diancheng Wang <dcwang@redflag-linux.com> 1.3.1-1
- add ChangeLog, README, TODO, NEW to package, update to new version 1.3.1,
- see also package ChangeLog file for details.
* Tue Apr 10 2007 DianCheng Wang <dcwang@redflag-linux.com > 1.1.0-2
  - because default disable openwbem http listen, owmofc connect failed, fixed it
* Tue Apr 18 2006 Diancheng Wang  <dcwang@redflag-linux.com> 1.0.0
  - initial support

